Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80135 - hdparm cause 2.4.20-2 kernel to crash on Dell Inspiron 4100
Summary: hdparm cause 2.4.20-2 kernel to crash on Dell Inspiron 4100
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-20 15:42 UTC by William Cohen
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version: RHL 9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-10-07 13:48:09 UTC


Attachments (Terms of Use)
Screen snapshot of kernel information (deleted)
2002-12-20 15:44 UTC, William Cohen
no flags Details

Description William Cohen 2002-12-20 15:42:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
The 2.4.20-2 kernel boots up on the Dell Inspiron 4100 Laptop. The laptop is
running BIOS A11 and has all the power management turned off. However, when a
hdparm command is encountered in /etc/rc.local. The machine crashes. Without the
hdparm command the machine finishes booting and it usable. The command is the
following:

/sbin/hdparm -d 1 -c 3 -m 16 /dev/hda

[root@litespeed root]# /sbin/hdparm -i /dev/hda

/dev/hda:

 Model=IC25N040ATCS04-0, FwRev=CA4OA60A, SerialNo=CSH400D4G0HMJB
 Config={ HardSect NotMFM HdSw>15uSec Fixed DTR>10Mbs }
 RawCHS=16383/16/63, TrkSize=0, SectSize=0, ECCbytes=4
 BuffType=DualPortCache, BuffSize=1768kB, MaxMultSect=16, MultSect=16
 CurCHS=16383/16/63, CurSects=16514064, LBA=yes, LBAsects=78140160
 IORDY=on/off, tPIO={min:240,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes:  pio0 pio1 pio2 pio3 pio4
 DMA modes:  mdma0 mdma1 mdma2
 UDMA modes: udma0 udma1 udma2 udma3 udma4 *udma5
 AdvancedPM=yes: mode=0x80 (128) WriteCache=enabled
 Drive conforms to: ATA/ATAPI-5 T13 1321D revision 3:  2 3 4 5

Most of the kernel panic message scrolls off the screen. However an attached
photo shows what is on the screen

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Build 2.4.20-2 kernel with kernel-2.4.20-i686.config
2. Install kernel and have hdparm in /etc/rc.local
3. Reboot machine with 2.4.20-2 kernel
    

Actual Results:  Machine boots and runs until hdparm command encounted. Kernel
panics

Expected Results:  Machine boots up.

Additional info:

Comment 1 William Cohen 2002-12-20 15:44:11 UTC
Created attachment 88836 [details]
Screen snapshot of kernel information


Note You need to log in before you can comment on or make changes to this bug.